
/*BEGIN Xbox One Controller Styling*/
.controller.custom{
    background: url(https://imgur.com/4osGXyt);
    height: 630px;
    width: 750px;
    margin-left: -375px;
    margin-top: -285px;
}
.custom.disconnected {
    background: url(http://mrmcpowned.com/gamepad/xbox-assets/disconnected.svgz);
}
.custom.disconnected div {
    display: none;
}
.custom .triggers{
    width: 446px;
    height: 121px;
    position: absolute;
    left: 152px;
}
.custom .trigger{
    width: 88px;
    height: 121px;
    background: url(https://i.imgur.com/vZWBmGI.png);
    opacity: 0;
}
.custom .trigger.left{
    float: left;
    background-position:0 0;
}
.custom .trigger.right{
    float: right;
    transform: rotateY(180deg);
}
.custom .bumper{
    width: 170px;
    height: 61px;
    background: url(https://i.imgur.com/pE5mFEG.png);
    opacity: 0;
}
.custom .bumpers{
    position: absolute;
    width: 536px;
    height: 61px;
    left: 107px;
    top: 129px;
}
.custom .bumper.pressed{
    opacity: 1;
}
.custom .bumper.left{
    float: left;
}
.custom .bumper.right{
    float: right;
    -webkit-transform: rotateY(180deg);
    transform: rotateY(180deg);
}
.custom .quadrant{
    position: absolute;
    background: url(http://mrmcpowned.com/gamepad/xbox-assets/quadrant.svgz);
    height: 45px;
    width: 45px;
    top: 258px;
    left: 354px;
    z-index: 0;
}
.custom .p0{
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
}
.custom .p1{
    -webkit-transform: rotate(90deg);
    transform: rotate(90deg);
}
.custom .p2{
    -webkit-transform: rotate(270deg);
    transform: rotate(270deg);
}
.custom .p3{
    -webkit-transform: rotate(180deg);
    transform: rotate(180deg);
}
.custom .arrows{
    position: absolute;
    width: 141px;
    height: 33px;
    top: 264px;
    left: 306px;
}
.custom .back, .custom .start{
    background: url(https://i.imgur.com/3EXjjqi.png);
    width: 33px;
    height: 33px;
    opacity: 0;
}
.custom .back.pressed, .custom .start.pressed{
    opacity: 1;
}
.custom .back{
    float: left;
}
.custom .start{
    background-position: 33px 0px;
    float: right;
}
.custom .abxy{
    position: absolute;
    width: 153px;
    height: 156px;
    top: 192px;
    left: 488px;
}
.custom .button{
    position: absolute;
    background: url(https://i.imgur.com/UGrjqBw.png);
    width: 48px;
    height: 48px;
}
.custom .button.pressed{
    background-position-y: -48px;
    margin-top: 0px;
    opacity: 1;
}
.custom .a{
    background-position: 0 0;
    top: 114px;
    left: 55px;
}
.custom .b{
    background-position: -49px 0;
    top: 64px;
    right: 0px;
}
.custom .x{
    background-position: -98px 0;
    top: 64px;
    left: 4px;
}
.custom .y{
    background-position: 48px 0;
    left: 55px;
    top: 13px;
}
.custom .sticks{
    position: absolute;
    width: 371px;
    height: 196px;
    top: 239px;
    left: 144px;
}
.custom .stick{
    position: absolute;
    background: url(http://mrmcpowned.com/gamepad/xbox-assets/stick.svgz);
    background-position: -85px 0;
    height: 83px;
    width: 83px;
}
.custom .stick.pressed{
    background-position: 0 0;
}
.custom .stick.left{
    top: 0;
    left: 0;
}
.custom .stick.right{
    top: 113px;
    left: 288px;
}
.custom .dpad{
    position: absolute;
    width: 110px;
    height: 111px;
    top: 345px;
    left: 223px;
}
.custom .face{
    background: url(https://i.imgur.com/d0yzlZf.png);
    position: absolute;
    opacity: 0;
}
.custom .face.pressed{
    opacity: 1;
}
.custom .face.up{
    background-position: 34px 0;
    left: 38px;
    top: 0px;
    width: 34px;
    height: 56px;
}
.custom .face.down{
    left: 38px;
    bottom: 0;
    width: 34px;
    height: 56px;
}
.custom .face.left{
    background-position: 0 -93px;
    width: 55px;
    height: 35px;
    top: 38px;
    left: 0;
}
.custom .face.right{
    background-position: 0 -57px;
    width: 55px;
    height: 35px;
    top: 38px;
    right: 0;
}
.custom.half{
    margin-top: -315px;
}
.custom{
    background: no-repeat center;
}
/*END Xbox One Controller Styling*/
